## performous-composer 2.0+20181009-gitbeeea23

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: performous-composer
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
 Section: games
@@ -24,6 +25,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ libqt5multimedia5-plugins,
 Enhances:
  performous,
 Description: song editor for creating (and converting) notes for music games
@@ -34,7 +36,7 @@
  .
  Key features of Composer include:
  .
-  * Song pitch analysis based on the esteemed algorithms from Perfomous.
+  * Song pitch analysis based on the esteemed algorithms from Performous.
   * Zoomable interface to quickly get an overview or doing very precise timing.
   * Possibility to synthesize the notes to get a feel of their "sound".
   * Import/export in various formats including:
