=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Rename to performous-composer, because php-composer owns the composer namespace
	mv debian/performous-composer/usr/bin debian/performous-composer/usr/games
	mv debian/performous-composer/usr/games/composer \
	    debian/performous-composer/usr/games/performous-composer
	mv debian/performous-composer/usr/share/pixmaps/composer.png \
	    debian/performous-composer/usr/share/pixmaps/performous-composer.png
	mv debian/performous-composer/usr/share/applications/composer.desktop \
	    debian/performous-composer/usr/share/applications/performous-composer.desktop
	sed -i -e 's/\(composer\)/performous-\1/i' \
	    debian/performous-composer/usr/share/applications/performous-composer.desktop
