=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/composer-$1\.tar\.gz/ \
  https://github.com/performous/composer/tags .*/v?(\d\S+)\.tar\.gz
